Skip to main content
POST
Search maps

Description

This endpoint performs a Google Maps search using the provided query and optional parameters. It returns information about places matching the search criteria.

Endpoint

Headers

  • Content-Type: application/json
  • Authorization: Bearer <API_KEY> (required)

Request Body

Responses

Success (200)

Returns the search results from Google Maps.
  • Content-Type: application/json
  • X-RateLimit-Limit: The rate limit for the user.
  • X-RateLimit-Remaining: The remaining number of requests for the user.

Bad Request (400)

Returned if the request is invalid.

Unauthorized (401)

Returned if the API key is invalid or missing.

Internal Server Error (500)

Returned if there’s an error during the search process.

Example Request

Notes

  • This endpoint uses 100 credits per page of results.
  • The gpsPositionZoom parameter should be provided in the format @latitude,longitude,zoom. For example:@40.6973709,-74.1444871,11z.
    • You can find a search area by going to Google Maps, dragging around the map to your desired location, and then looking at the URL to get the coordinates. The zoom level, while optional, is recommended for higher precision. It ranges from 3z (completely zoomed out) to 21z (completely zoomed in). Setting the search area with this parameter only applies to search queries with q, not when you look up by placeId or cid.
    • This parameter is required if using pagination.
  • If placeId or cid is provided, the search will focus on that specific location.
  • The language parameter can be used to specify the desired language for the search results.
  • Usage is recorded with detailed parameters for each request.
  • Events may be logged for analytics purposes if enabled.

Rate Limiting

Rate limit headers (X-RateLimit-Limit and X-RateLimit-Remaining) are included in the response to indicate the user’s current rate limit status.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
query
string
required
gpsPositionZoom
string

Combined latitude,longitude,zoom string forwarded as ll.

placeId
string
cid
string
language
string
page
integer
Required range: x >= 1
requestSource
enum<string>

Optional identifier describing where the API request originated.

Available options:
API,
WEB,
MAKE_DOT_COM,
ZAPIER,
N8N,
PLAYGROUND,
DEFAULT_AUTOMATION,
AGENT_PREVIEW,
AGENT_LIVE,
AUTOPILOT,
STUDIO

Response

Map search results returned.

searchParameters
object
required
places
object[]
required
ll
string | null